Subject: bug#37423: closed (Re: bug#37423: Changing the login service from GDM to SLiM and then back to GDM causes a really bad loop)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 20 Sep 2019 21:11:02 +0000

Your bug report

#37423: Changing the login service from GDM to SLiM and then back to GDM causes a really bad loop

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37423: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37423
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37423: Changing the login service from GDM to SLiM and then back to GDM causes a really bad loop
From: Ludovic Courtès <[email-masked]>
To: Timothy Sample <[email-masked]>
Cc: Gábor Boskovits <[email-masked]>, [email-masked]
Date: Fri, 20 Sep 2019 23:10:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Timothy Sample <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Hi Gábor,
>>
>> Gábor Boskovits <[email-masked]> skribis:
>>
>>> Couldn't we simply do what the fix does: ensuring the owner of
>>> the files under “/var/lib/gdm” is the current “gdm” user?
>>
>> Hey you’re right, I was not approaching it from the right angle.
>>
>> Here’s a patch that does that.  Thoughts?
>
> LGTM!  Though I don’t have a chance to test it at the moment, so all I
> can really say is that it makes sense and I didn’t see any typos.  :)

I tested in a VM and it’s all good.  Pushed as
f817901ee74fbc2f3c3322d473ad4c72b052499c.

Thanks,
Ludo’.

Subject: Changing the login service from GDM to SLiM and then back to GDM causes a really bad loop
From: Jan <[email-masked]>
To: [email-masked]
Date: Mon, 16 Sep 2019 00:51:54 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi.

Changing the login service from GDM to SLiM and then back to GDM makes
GDM to loop like this:
"New session c1 of user gdm."
"Removed session c1."
"New session c2 of user gdm."
"Removed session c2."
...

And it continues like this to relatively high numbers like c167. Didn't
check how far it could go, but that's not important anyway.
Reverting to the previous definition of the system by using 
"guix system switch-generation" or using grub menu entries doesn't help,
changing /etc/config.scm back to the default gdm configuration and
running 
"guix system reconfigure" doesn't help either.

There's also one strange thing that have happened before rebooting -
when logging off, SLiM was running in a loop too - I couldn't turn off
the computer using it, I had to switch to another tty and run "shutdown"
manualy.

But reverting to a configuration with SLiM works - I can use the system
with it, but can't with GDM anymore.

---
Jan Wielkiewicz